Introduction

DriveImage XML © 2005-2006 by Runtime Software LLC

1601 Fairview Drive, Suite H, Carson City, NV 89701, USA
Phone (USA): 1-775-884-3922, Fax: 1-818-475-1741
Phone (Germany): +49-30-280 8008
Email: info@runtime.org , Web: http://www.runtime.org

DriveImage XML is an easy to use and reliable program for imaging and backing up partitions and logical drives.

The program lets you:

  • backup logical drives and partitions to image files
  • browse these images
  • restore images to the same or another drive
  • copy directly from drive to drive
  • schedule automatic backups with your Task Scheduler

Image creation uses Microsoft's Volume Shadow Services (VSS), allowing you to create safe "hot images" even from drives currently in use.

Images are stored in XML files, allowing you to process them with 3rd party tools. Never again get stuck with a useless backup!

Restore images to drives without having to reboot.

Use DriveImage XML on a boot CD-ROM, such as BartPE.

If you have any questions about this software, refer to the build-in help or contact our support!

See also: Support


Installation

Download DriveImage XML and run the dixmlsetup.exe. The setup wizard will guide you through the installation process.

DriveImage XML runs under Windows XP Home, Windows XP Professional and Windows Server 2003 only. The program will backup, image and restore drives formatted with FAT 12, 16, 32 and NTFS.

BartPE Boot CD-ROM

You can also run the program from a WinPE boot CD-ROM. More information on how to create such a boot disk is available on our website at http://www.runtime.org/peb.htm.

The plug-in file (driveimage_xml.cab) required to run DriveImage XML from a boot CD-ROM is available for download at http://www.runtime.org/driveimage_xml.cab.

You must have Administrator rights to run this program.


System Requirements

  • Pentium processor
  • 256 MB RAM
  • Windows XP

You must have Administrator rights to run this program.

See also: Installation


Windows Disk Management

How to create a Partition in Windows Disk Management

When using DriveImage XML to restore a previously created drive image to a drive or to copy one drive to another one, you need to put the image into an existing partition.

If you don't already have a suitable partition, you need to create one. You can use Windows Disk Management to do this.

Please note: You do not need to format the drive. The size of the partition you create will determine the size of the drive - for example if you create a 20GB partition and then restore a 10GB size image to it, the size of the drive will still be 20GB.

Start Windows Disk Management:

Start>Control Panel>Administrative Tools>Computer Management>Disk Management

If Windows Disk Management does not start, you can use the following commands from the command prompt:

net start dmserver
net start dmadmin
diskpart

Once you're in Windows Disk Management, select the drive you want to create the partition on. Make sure you have enough free space on the drive to create a partition at least the size of the drive image you want put on it. Either right-click the drive entry and choose New Partition or go to Action>All Tasks>New Partition on the main menu.

This will start the New Partition Wizard. Click Next, then usually you would select to create a Primary Partition. Click Next and decide on the size the partition. Keep in mind that the partition needs to be at least the same size as the image. Press Next.

You may assign a drive letter to the newly created partition, but you don't have to. Either choose a drive letter or just go with the third option to not assign one.

In the next step, since there is no need to format the drive (as explained above), just select not to format this partition and click Next.

Review the parameters for the new partition and click finish.

Note: If you want your computer to boot from the new partition later you must set it to "active".

See also: Backup a Drive, Restore an Image, Browse an Image, Drive-to-Drive


License Agreement

License Agreement and Disclaimer

This software is copyrighted by Runtime Software.

The following are the conditions under which Runtime Software software is sold, supported and may be used. By using or registering Runtime Software software, you are agreeing to these.
This document may be augmented or superseded by conditions included with specific applications.

Neither the author(s) nor Runtime Software assume responsibility for any expense, damage or loss caused by your use of this software, however it occurs.
All the registered trademarks used herein are registered to whoever it is that owns them. This notification is given in lieu of any specific list of trademarks and their owners.

If you register software by Runtime Software, we will assume that you are doing so having tested the shareware version and ascertained that it's suitable for your hardware and requirements. We cannot provide refunds for shareware registration if you subsequently change your mind.

No portion of the documentation for this software or any of its attendant files may be reproduced in whole or in part in any medium or form of transmission exclusive of the archive file for the software without the express written permission of Runtime Software. You may not modify or patch the software's executable files in any way, including but not limited to decompiling, disassembling, or otherwise reverse engineering the program.

Registering this software buys you a single-user license to use it in perpetuity, subject to the terms discussed herein. This means that your registered software can only be used by one person at a time. A single-user license does not permit you to make the registered software available over a network for multiple users to access, to distribute it in any form or to provide it in conjunction with any other product without the express written permission of Runtime Software. If you have any questions about the software license, feel free to get in touch with us.

If you have downloaded this software or had it given to you on disk to try out, you are allowed to use the limited version of the software for free, in order to use the full version you have to register the software immediately.

You may distribute the software (on CD-ROMs, Books, Catalogs, Internet etc.) as long as you follow each and every one of the following:

1. You distribute only exact, unmodified copies of the original unregistered shareware version of the software incl. the DISCLAIMER.
2. You do not monetarily charge or otherwise request any compensation for any copy, however made, without prior permission from Runtime Software.
3. You include the phrase "Copyright by Runtime Software" with any copy of the software.


Menu structure

File |  |
 | Backup | create an image file of a logical drive or partition
 | Restore | restore a previously created image file to a drive
 | Drive to Drive | copy a drive to another drive
 | Browse | browse a previously created backup file
 | Exit | quit this program
Tools |  |
 | Options... | change available program options
 | Task Scheduler | run DriveImage XML in batch mode
 | Set new Disk ID | changes a drive's Disk ID
Help |  |
 | Content | call the integrated help (this)


Backup

Introduction

DriveImage XML will let you create images of logical drives or partitions into an image file.

Creating an Image

To create an image, in the main window of the program click on Backup.

The program will quickly scan your system for accessible drives and then display a list of all available drives, incl. information about their physical and logical geometry.

Select the drive you wish to backup. DriveImage XML creates images of logical drives and partitions, but not of a whole physical drive - so if you have more than one partition that you want to backup on one drive, you will need to create separate images for each of them.

Backup Wizard

Press Next to start the Backup Wizard. Verify that you've selected the right drive in the next window and press Next.

Select a location for the image file that DriveImage XML will create. Be sure to have enough space on the destination location to store the image.

Options:

Raw Mode - If you select raw mode, DriveImage XML will create a sector-by-sector image of your drive, i.e. of all the sectors on your drive, even the unused ones.
The resulting image file will be the same size as the size of the imaged logical drive or partition. You should choose raw mode if you need an exact copy of your whole drive. With raw mode selected you will not be able to resize the drive once you want restore it later to a different drive.

If you only need an image of the used portions of your drive, i.e. the data on the drive, leave raw mode unchecked. The resulting image file will only be as large as the used area on your drive.

Split large Files - Since FAT file systems cannot handle files larger than 4 GB, check the option for split large files, if the file system on the drive you want to store the image file on is FAT. You might also want to split large files, if you plan on putting the image file onto CD-ROMs later.

Compressed - Turning on compression will make the image file up to 40% smaller. Image creating will be a bit slower with compression selected.

Hot Imaging Strategy - DriveImage XML allows you to create an image of your drive even if it is in use. This requires that the section of the drive that is currently processed for the backup is blocked for write access in order to prevent that files are modified without having those changes reflected in the backup.

DriveImage accomplishes that by either locking the volume for write access rights for all other applications or processes while the image is created, or by using Microsoft's Volume Shadow Service (VSS). When using VSS, before backing up files that are either in use, locked or open, DriveImage XML will request the creation of a Volume Shadow Copy, i.e. a snapshot of the specific part of the drive where those files are located. DriveImage XML will then use the Volume Shadow Copy to access those files. The Volume Shadow Copy will be discarded as soon as it isn't needed anymore.

The program by default will try to lock the volume first (unless you tell it to do otherwise), and if that fails, will work with VSS. If that doesn't work either, the program will warn you that no volume locking or VSS is available and that therefore the resulting backup might be corrupt. You may at this point choose to proceed with the backup anyways.

Click Next and DriveImage XML will create the image. A status bar will show you the approximate time this process will take. Finally you will get a notification telling you whether or not the backup was successfully completed.

Advantage over most Backup Programs

Most other backup programs will create an image file that isn't accessible by means other than the restore function of the original backup program. That means, if either the data integrity of the backup is imperfect or the restore function fails, the backup is useless and the data probably lost beyond recovery.

DriveImage XML works differently. The backup will create two files, a *.XML which contains the drive description and a *.DAT which contains the imaged drive's binary data. *.XML can be opened with several different applications, for example any browser or even a simple text editor. The *.XML file not only contains information about the imaged drive's geometry, file system and the image itself, it also tells you for every single file in the backup the exact sector location in the *.DAT file, which contains the actual data. In other words - even if the image cannot for any reason be restored or you need to process the data in a different way, the data is still there, accessible and usable.

The above mentioned files will be used for restoring or browsing an image.

See also: Restore an Image, Browse an Image, Drive-to-Drive, Partition a Drive


Restore

Introduction

Use the Restore function to write an image previously created with DriveImage XML back to a drive.

Restoring an Image

Use existing partition or create new partition

Note that you must put the image into an existing partition. If necessary create a new partition with Windows Disk Management first.

You do not need to format the drive. The size of the partition you create will determine the size of the drive - for example if you create a 20GB partition and then restore a 10GB size image to it, the size of the drive will still be 20GB.

Start Windows Disk Management:

Start>Control Panel>Administrative Tools>Computer Management>Disk Management

If Windows Disk Management does not start, you can use the following commands from the command prompt:

net start dmserver
net start dmadmin
diskpart

To restore an image to an existing partition, click Restore in the main program window.

DriveImage XML will display all available destination partitions and show information about their geometry below.

Select the partition where you want the image to be restored to. This will be the partition, all the data that is contained in the image file will be copied to. Everything that is on this partition will be overwritten by the data from the image file. Be sure to select the correct partition.

Restore Wizard

Press Next to start the restore wizard.

Browse for the *.XML file, which you created earlier when you wrote the backup. Then press Next.

The wizard will ask you again to identify the destination partition - the partition where the images goes to. Choose the right partition and click Next.

In the following windows, you'll be asked to once again verify the right image and the right destination. Make sure everything is correct, then click Next.

A security window will pop up, and you will be prompted to double-check and verify the location the image will be restored to. Please be aware that all data on the destination partition will be overwritten and any files residing on it now will be destroyed. Follow the instructions on the screen and then press Next.

DriveImage XML will now restore the *.XML (together with its *.DAT) image file to the partition you specified. A status bar will tell you approx. how long this process is going to take. Once completed you will be notified whether or not the restoration was successful. Press Finish.

You may want to verify that the image was successfully restored by opening Windows Explorer. Go to the partition you restored the image to and double-check that the data was written to it and is accessible. Normally DriveImage XML doesn't require you to restart your computer for the changes to be in effect, in some cases however you might have to do that for the restored data to display correctly.

Note on resizing: While copying the source drive will be resized to the size of the destination partition if raw mode is unchecked and the file system to be transferred is an NTFS of FAT32 file system. Otherwise the transferred drive will have the original size, possibly wasting disk space if you had chosen a larger destination partition size.

Note on boot drives: If you want your computer to boot from the new partition you must set it to "active" with Windows Disk Management.

Check our FAQ if you have problems restoring a drive.

See also: Backup a Drive, Browse an Image, Drive-to-Drive, Partition a Drive


Drive-To-Drive

Introduction

DriveImage XML lets you image a drive directly to another drive, without having to create an image first.

To create a Drive-to-Drive image on an existing partition, click Drive-To-Drive in the main program window.

DriveImage XML will display all available source partitions and show information about their geometry below.

Select the drive you wish to copy to another drive. DriveImage XML creates images of logical drives and partitions. If you want to image a physical drive that is partitioned into more than one partition, you will have to copy the partitions one by one. Imaging a whole physical drive with more than one partition at once is not supported in this version of the software.

Drive-to-Drive Wizard

Press Next to start the wizard that will guide you through the imaging process.

The drive that you chose as the source drive in the previous step will be displayed again. Verify that you selected the right drive to be copied to another drive.

Options:

Raw Mode - If you select raw mode, DriveImage XML will create a sector-by-sector image of your drive on the destination drive, i.e. of all the sectors on your drive, even the unused ones.
The resulting image will be the same size as the size of the imaged logical drive or partition. You should choose raw mode if you need an exact copy of your whole drive.

If you only need to image the used portions of your drive, i.e. the data on the drive, leave raw mode unchecked. The process will be faster since only the used areas are copied to the destination. Automatic resizing of the destination works only with raw mode unchecked.

Hot Imaging Strategy - DriveImage XML allows you to create an image of your drive even if it is in use. This requires that the section of the drive that is currently processed for the backup is blocked for write access in order to prevent that files are modified without having those changes reflected in the backup.

DriveImage accomplishes that by either locking the volume for write access rights for all other applications or processes while the image is created, or by using Microsoft's Volume Shadow Service (VSS). When using VSS, before backing up files that are either in use, locked or open, DriveImage XML will request the creation of a Volume Shadow Copy, i.e. a snapshot of the specific part of the drive where those files are located. DriveImage XML will then use the Volume Shadow Copy to access those files. The Volume Shadow Copy will be discarded as soon as it isn't needed anymore.

The program by default will try to lock the volume first (unless you tell it to do otherwise), and if that fails, will work with VSS. If that doesn't work either, the program will warn you that no volume locking or VSS is available and that therefore the resulting backup might be corrupt. You may at this point choose to proceed with the image anyway.

Press Next. In the following window you'll be asked to select the destination drive, i.e. the logical drive or partition you will copy the image to.

Use existing partition or create new partition

Note that you must put the image into an existing partition. If necessary create a new partition with Windows Disk Management first.

You do not need to format the drive. The size of the partition you create will determine the size of the drive - for example if you create a 20GB partition and then image a 10GB size drive to it, the size of the drive will still be 20GB. The source drive will be resized to the size of the destination partition during the copy process.

Start Windows Disk Management:

Start>Control Panel>Administrative Tools>Computer Management>Disk Management

If Windows Disk Management does not start, you can use the following commands from the command prompt:

net start dmserver
net start dmadmin
diskpart

If you just now created a new partition to put the drive image to, you will have to close the wizard window and start over by clicking on Drive-to-Drive again in the main program window.

Select the destination partition and click Next.

In the next step DriveImage XML will show you again which drives you selected as the source drive (top window) and as the destination drive (bottom window). Please be aware that all data on the destination partition will be overwritten and any files residing on it now will be destroyed.
Make sure you selected the correct drives and click Next.

The program will once again ask you to confirm your destination drive location. Be sure you selected the right drive, follow the instructions on the screen, then press OK.

DriveImage XML will now image the data from the source drive to the partition you specified. A status bar will tell you approx. how long this process is going to take. Once completed you will be notified whether or not the copy process was successful. Press Finish.

You may want to verify that the drive was successfully imaged to the new location by opening Windows Explorer. Go to the partition you copied the drive to and double-check that the data was written to it and is accessible. Normally DriveImage XML doesn't require you to restart your computer for the changes to be in effect, in some cases however you might have to restart your computer for the new partition to display correctly.

Note on resizing: While copying the source drive will be resized to the size of the destination partition if raw mode is unchecked and the file system to be transferred is an NTFS of FAT32 file system. Otherwise the transferred drive will have the original size, possibly wasting disk space if you had chosen a larger destination partition size.

Note on boot drives: If you want your computer to boot from the new partition you must set it to "active" with Windows Disk Management.

Check our FAQ if you have problems restoring a drive.

See also: Backup a Drive, Restore an Image, Browse an Image, Partition a Drive


Browse

Introduction

The Browse function in DriveImage XML enables you to open the *.XML file that is generated when you create an image with the program. You can look through the image to retrieve information about the drive you imaged, the image itself, investigate every single file that was backup-ed, find the starting sector and size for every file and extract files and directories from the image without having to restore it first.

Browsing an Image

In order to load a backup image to view it, click on Browse in the main menu of the program.

Select the *.XML file (which you previously created when doing a backup with DriveImage XML) you are interested in and open it.

On the left hand side of the resulting screen you will see more information about the image, like the file name, creation date, the drive letter and name of the imaged drive and its capacity.

Click on More Information to get even more drive facts, like for example the drive's ID, total number of sectors, and information about the drive's fragmentation status.

On the right, you will see the files and folders contained in the backup in a Windows Explorer style display. Just like in Windows Explorer you can open files and folders, get information about file and folder sizes, modification date, attributes.

The following functions are at your command:

Load - Click Load on the top menu or in the left box, to open another image.

Extract - Use Extract to copy selected files or folder directly from the image to another location. This feature is particularly useful if you need certain files from your backup, but cannot or don't want to restore the whole image file to another drive. Select the file or folder you need and press Extract. Choose the location you want to copy this file or folder to and say OK.

Launch - Highlight a file and press Launch. This will open the selected file with its associated application. Note that the application that is used by default to open the file type of the file you want to open, must be installed on the computer you are running DriveImage XML on.

View - Select a file and press View to display the file content in the build-in file viewer. The viewer is able to display several text files (.txt, .doc, .rtf, .wri) and graphic files (.htm, .jpg, .bmp, .ico, .wmf). Binary and unknown formats will be displayed in a hex viewer.

Find - DriveImage XML features a basic file search. Search for a specific file by entering the name of the file incl. the file's extension in the search window. If you are unsure about the file name, search for all files with for example the extension jpg by entering *.jpg. If you know the file name by are unsure about the extension, enter for example filename.*.

Next - Click Next to continue searching for the next entry with the same search parameters.

See also: Restore an Image, Browse an Image, Drive-to-Drive, Partition a Drive


Task Scheduler

Automatic Backups With Task Scheduler

Program the Windows Task Scheduler to automatically backup your drive. Here is what you need to do:

  1. Start the Task Scheduler from DriveImage XML or from your Control Panel.
  2. Double-click New Task
  3. Fill the field labeled Run with the name of the DriveImage XML program and some parameters, for example:

    "C:\Program Files\Runtime Software\DriveImage XML\dixml.exe" /bF /t"C:\My Backups\drive_c"

    This will backup drive F: to C:\My Backups\drive_c.XML and DAT.
  4. Fill in the remaining fields, such as password and time the task should run.

For help on the Windows Task Scheduler consult the Microsoft Help.

Valid command line parameters for DIXML

/bx | backup drive x, e.g. /bc
/tx | write backup files to x, e.g. /td:\backups\drive_c
/r | raw mode, e.g. /r or /r-
/s | split image, e.g. /s or /s-
/c | compressed, e.g. /c or /c-
/v | try VSS first, e.g. /v, do not use with /l
/l | try locking first, e.g. /l, do not use with /v

See also: Restore an Image, Browse an Image, Drive-to-Drive, Partition a Drive


Options

In Options you can define whether or not you want the program to generate a log file containing internal program information about the backup, restore and drive-to-drive operation processes.

This log file can be used for technical support purposes, but is not generally needed.

To keep a log file, check the option for Enable Logging, specify a destination path and press OK.


Outdated COMCTRL32

Outdated COMCTRL32.DLL

Your Windows version is using an outdated version of 'COMCTL32.DLL'. This component is an extension of the Windows operating system and comes usually with the MS Internet Explorer.

You will most probably have problems with this program's visual controls (you won't see the buttons). But you should still be able run this software.

It is recommended to download a new version at http://www.microsoft.com/msdownload/ieplatform/ie/comctrlx86.asp or to install a recent version of MS Internet Explorer.


Outdated COMCTRL32

VSS Error

This error can occur if VSS (Volume Shadow Services) is not running properly on your system. This is not a DriveImage error. It is usually caused by poorly configured Windows systems.

Please verify in Settings->Control Panel->Administrative Tools->Services that the following services are enabled:

  • MS Software Shadow Copy Provider
  • Volume Shadow Copy

Also make sure you are able to stop and start these services.

Possible reasons for VSS failures:

  • For VSS to work, at least one volume in your computer must be NTFS. If you use only FAT drives, VSS will not function. The required NTFS volume does not need to be identical with the volume you want to image.
  • You should make sure that VSSVC.EXE is running in your task manager. If the problems persist, registering "oleaut.dll" and "oleaut32.dll" using "regsvr32" might help.

Without VSS you still can make images with locking or without locking.

Check our FAQ for more help.


Bad sector

Bad Sectors Handling

An error was encountered during a sector block read operation.

Sectors are read in chunks of 16 sectors. If this operation fails this might be because of a single bad sector or of several bad sectors. You have the choice:

Skip sector block

All 16 sectors are considered bad. No attempt is made to retrieve possibly good sectors.

Retry accessing single sectors

The program retries reading the sectors one by one. This gives the chance to retrieve possibly good sectors in the neighborhood of a bad one. However, this can be very time consuming, especially if there are not good sectors at all.


Support

You can contact us for support:

USA

Fax | 1-818-475-1741
Email | support@runtime.org
Website | http://www.runtime.org

Europe (Germany)

Fax | +49-30-690 88 444
Email | support_europe@runtime.org
Website | http://www.runtime.org

If you have any questions related to the use of this software, please send us an email.

Since this version of DriveImage XML is distributed as freeware, we do not offer phone support for this product.

Check our FAQ at http://www.runtime.org/driveimage_faq.htm.

See also:Backup a Drive, Restore an Image, Browse an Image, Drive-to-Drive, Partition a Drive